var app =  angular.module('agendaweb',['ngRoute','ngSanitize', 'ui.router','pageslide-directive','ngResource','ui.bootstrap','ui.calendar',
'colorpicker.module','ui-notification','datatables','ngMessages','angularUtils.directives.dirPagination','flow','ui.mask']);

app.config(function($urlRouterProvider, $stateProvider,$httpProvider,NotificationProvider){

	NotificationProvider.setOptions({
			positionY: 'bottom'
	});

	$stateProvider.state('index',{
		url : '/index',
		controller : 'InicioController',
		templateUrl : '/views/inicio.html'
	});
	
	$stateProvider.state('exames',{
		url : '/exames/paciente/:paciente/:medico',
		controller : 'ExamesController',
		templateUrl : '/views/exames.html'
	});

	$stateProvider.state('sair',{
		controller : function() {
			document.location.replace('/login');
		},
	});
	
	$urlRouterProvider.otherwise('/index');

});

app.controller('mainCtrl',
	['$scope','$state','$rootScope', '$resource','Notification',
		function($scope, $state, $rootScope, $resource, Notification) {
		

		$scope.hasError = (campo) => {
			return campo.$touched && campo.$invalid;
		}	

		$scope.usuariologado = {};
		$scope.psOpen = true;	
		$scope.toggle = function(){
			if($scope.psOpen == true){
				$scope.psOpen = false
			}else{
				$scope.psOpen = true
			} 
		}
			
		$scope.tab = 0;
		$scope.changeTab = function(tab){
	 		$scope.tab = tab;
	 	}


		$scope.formats = ['dd/MM/yyyy', 'yyyy/MM/dd', 'dd.MM.yyyy', 'shortDate'];
		$scope.format = $scope.formats[0];
			
		$resource('/usuariologado').get('', 
			(retorno) => {
				if (retorno.codigo == undefined){
					console.log('semusuario');
					document.location.replace('/login');
				}else{
					$scope.usuariologado = retorno;
					
				}
			}, 
			(err) => {
				console.log('n autorizado');
				document.location.replace('/login');
			}
		);
	 
		$scope.$on('$stateChangeStart', (event, toState, toParams, fromState, fromParams) => {
			
			$resource('/usuariologado').get('', 
				(retorno) => {
					console.log('aaaa', retorno);
					if (retorno.codigo == undefined){
						console.log('semusuario');
						document.location.replace('/login');
					}else{
						$scope.usuariologado = retorno;
						
					}
				}, 
				(err) => {
					console.log('n autorizado');
					document.location.replace('/login');
				}
			);

			$scope.state = toState.name;
	    	$scope.parametros = toParams;
	    	$rootScope.subtitulo = '';
	    	$scope.psOpen = false;
	  	});

		$scope.resetform = (nomeform, $scope) =>{
		 		$scope[nomeform].$setPristine();
		    $scope[nomeform].$setUntouched();
		    $scope.attempted = false;
		}

		$scope.isDate = (val) => {
		    var d = new Date(val);
		    return !isNaN(d.valueOf());
		}

		$scope.trataretorno= (retorno) => {
			angular.forEach(retorno,(valor,campo) => {

				if ( typeof valor=='string'){
					if($scope.isDate(valor.trim())  && (valor.trim().indexOf('/') >= 0 || valor.trim().indexOf('-') >= 0) ){
						retorno[campo]=$scope.toUTCDate(new Date(valor.trim()));
					}else{
						retorno[campo]=valor.trim();	
					}
				}

     	});
    	return retorno;	
		}	
		
		$scope.toUTCDate = (date) => {
			var _utc = new Date(date.getUTCFullYear(), date.getUTCMonth(), date.getUTCDate(),  date.getUTCHours(), date.getUTCMinutes(), date.getUTCSeconds());
			return _utc;
		}

}]);
